Show Specific Contact Image

From docs
Jump to: navigation, search

Get Specific Contact Image

Base URL

https://apimobile.callproof.com

Endpoint

/api/contact/{id}/image/{image_id}

Purpose

Retrieves a specific image for a contact that belongs to the authenticated user and company.

HTTP Method

GET

Headers

Header Required Description
Authorization Yes Bearer access token

Security

  • Yes – Requires Bearer Token authentication.

Parameters

Path Parameters

Parameter Type Required Description
id integer Yes Unique identifier of the contact
image_id integer Yes Unique identifier of the image to retrieve

Query Parameters

None.

Request Body

None.

cURL Example for Android

curl --location 'https://apimobile.callproof.com/api/contact/{id}/image/{image_id}' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

cURL Example for iOS

curl --location 'https://apimobile.callproof.com/api/contact/{id}/image/{image_id}' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'

Successful Response (200)

Returns the matching image record(s) for the contact, user, and company.

Field Type Description
clientStatusCode integer Status indicator for the client (for example, 200)
user_id integer Identifier of the authenticated user
company_id integer Identifier of the authenticated user’s company
data object Image payload
uri string Requested resource URI

data.contact_image[]

Field Type Description
image_id integer Unique identifier of the image
image_path string Stored image path

Error Responses

Status Code Meaning
400 Bad Request – the image could not be retrieved
401 Unauthorized – missing, invalid, or expired Bearer token
  • 400 – An error occurred while loading the image.
  • 401 – Authentication failed or the access token is missing/expired.